Name:          patch
Version:       2.7.5
Release:       1mamba
Summary:       The GNU patch command, for modifying/upgrading files
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnu.org/software/patch/patch.html
Source:        http://ftp.gnu.org/pub/gnu/patch/%{name}-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The patch program applies diff files to originals.
The diff command is used to compare an original to a changed file.
Diff lists the changes made to the file.
A person who has the original file can then use the patch command with the diff file to add the changes to their original file (patching the file).

%prep
%setup -q

%build
CPPFLAGS=-D_GNU_SOURCE \
%configure \
%if "%{_host}" != "%{_build}"
   ac_cv_func_strnlen_working=yes
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeoldinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%doc AUTHORS ChangeLog COPYING NEWS README

%changelog
* Wed Mar 18 2015 Automatic Build System <autodist@mambasoft.it> 2.7.5-1mamba
- automatic version update by autodist

* Mon Feb 02 2015 Automatic Build System <autodist@mambasoft.it> 2.7.4-1mamba
- automatic update by autodist

* Sun Jan 25 2015 Automatic Build System <autodist@mambasoft.it> 2.7.3-1mamba
- automatic update by autodist

* Mon Oct 15 2012 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- automatic version update by autodist

* Tue Sep 18 2012 Automatic Build System <autodist@mambasoft.it> 2.7-1mamba
- automatic version update by autodist

* Wed Jan 13 2010 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic update by autodist

* Wed Apr 01 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.9-1mamba
- automatic update by autodist

* Wed Apr 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.4-4mamba
- specfile updated

* Tue Sep 13 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.5.4-3qilnx
- specfile fixes

* Mon Apr 14 2003 Mirko Cortillaro <mirko.cortillaro@qinet.it> 2.5.4-2qilnx
- modified file list

* Tue Apr 08 2003 Mirko Cortillaro <mirko.cortillaro@qinet.it> 2.5.4-1qilnx
- first build
